Package org.jboss.logging.processor.apt

# Class MessageInterfaceFactory

java.lang.Object
org.jboss.logging.processor.apt.MessageInterfaceFactory

public final class MessageInterfaceFactory extends Object
A factory to create a `MessageInterface` for annotation processors.

Author:
  James R. Perkins

## Method Summary

Modifier and Type
Method
Description
`static MessageInterface`
`of(ProcessingEnvironment processingEnv, TypeElement interfaceElement, Properties expressionProperties, boolean addGeneratedAnnotation)`
Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static MessageInterface of(ProcessingEnvironment processingEnv, TypeElement interfaceElement, Properties expressionProperties, boolean addGeneratedAnnotation)
Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

Parameters:
  `processingEnv` - the annotation processing environment.
  `interfaceElement` - the interface element to parse.
  `expressionProperties` - the properties used to resolve expressions
Returns:
  a message interface for the interface element.